bytes_data_builder 0.1.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 34

bytes_data_builder

Builds a list of bytes, allowing bytes, fixed-width integers, floats and lists of bytes to be added at the end.

Usage

A simple usage example:

import 'package:bytes_data_builder/bytes_data_builder.dart';

main() {
  BytesDataBuilder builder = new BytesDataBuilder();
  builder.addInt8(0);
  List<int> result = builder.takeBytes();
}

Changelog

0.1.1

  • Initial version, created by Kurt Morris

0.1.2

  • Mistake corrected in README.md

0.1.3

  • CHANGELOG.md replaced with proper change log.

0.1.4

  • Added GitHub Repository, made description more aesthetically pleasing.

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  bytes_data_builder: "^0.1.4"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

with Flutter:


$ flutter packages get

Alternatively, your editor might support pub get or packages get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:bytes_data_builder/bytes_data_builder.dart';
        
Version Uploaded Documentation Archive
0.1.4 Oct 4, 2016 Go to the documentation of bytes_data_builder 0.1.4 Download bytes_data_builder 0.1.4 archive
0.1.3 Oct 3, 2016 Go to the documentation of bytes_data_builder 0.1.3 Download bytes_data_builder 0.1.3 archive
0.1.2 Oct 3, 2016 Go to the documentation of bytes_data_builder 0.1.2 Download bytes_data_builder 0.1.2 archive
0.1.1 Oct 3, 2016 Go to the documentation of bytes_data_builder 0.1.1 Download bytes_data_builder 0.1.1 archive

Analysis

We analyzed this package on Apr 23, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.49.0
  • pana: 0.10.6

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
0 / 100
Health:
Code health derived from static analysis. [more]
85 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
45 / 100
Overall score:
Weighted score of the above. [more]
34
Learn more about scoring.

Platforms

Detected platforms: Flutter, other

Primary library: package:bytes_data_builder/bytes_data_builder.dart with components: io.

Suggestions

  • Fix .analysis_options.

    We were unable to parse .analysis_options.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 20 hints.

    Strong-mode analysis of lib/bytes_data_builder.dart gave the following hint:

    line: 63 col: 24
    'Endianness' is deprecated and shouldn't be used.

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

  • Maintain an example.

    None of the files in your example/ directory matches a known example patterns. Common file name patterns include: main.dart, example.dart or you could also use bytes_data_builder.dart.

  • Use analysis_options.yaml.

    Rename old .analysis_options file to analysis_options.yaml.

  • Enable strong mode analysis.

    Strong mode helps you to detect bugs and potential issues earlier.Start your analysis_options.yaml file with the following:

    analyzer:
      strong-mode: true
    

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.0.0 <2.0.0
Dev dependencies
benchmark_harness >=1.0.0 <2.0.0
collection any
test >=0.12.0 <0.13.0